package advsql

func Delete[T any](db *Database, query string) DeleteFunc[T] {
	prepareGlobal(db, query)

	return func(args ...interface{}) error {
		s := db.stmt(query)
		_, err := s.Exec(args...)
		return err
	}
}
